Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class LockGroupVersionMappingInfo

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingInfo
          org.apache.openjpa.jdbc.meta.VersionMappingInfo
              kodo.jdbc.meta.LockGroupVersionMappingInfo

All Implemented Interfaces:
  Serializable

    public class LockGroupVersionMappingInfo

extends VersionMappingInfo

Version mapping information that contains additional information about lock groups.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`MappingInfo.ForeignKeyDefaults, MappingInfo.TableDefaults`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`JOIN_FORWARD, JOIN_INVERSE, JOIN_NONE`

Constructor Summary
`LockGroupVersionMappingInfo()`

Method Summary
`protected void` | `clear(boolean canFlags)`
`void` | `copy(MappingInfo info)`
`List` | `getColumnLockGroupNames()` List of lock group names matching the column list.
`Column[]` | `getColumns(Version version, Column[] tmplates, boolean adapt)` Return the columns set for this version, based on the given templates.
`void` | `setColumnLockGroupNames(List lgs)` List of lock group names matching the column list.
`void` | `syncWith(Version version)` Synchronize internal information with the mapping data for the given version.

Methods inherited from class org.apache.openjpa.jdbc.meta.VersionMappingInfo
`getIndex`

Methods inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`assertNoForeignKey, assertNoIndex, assertNoJoin, assertNoSchemaComponents, assertNoUnique, assertStrategy, canForeignKey, canIndex, canUnique, clear, createColumns, createForeignKey, createIndex, createTable, createUnique, getColumnIO, getColumns, getForeignKey, getIndex, getJoinDirection, getStrategy, getUnique, hasSchemaComponents, mergeColumn, setCanForeignKey, setCanIndex, setCanUnique, setColumnIO, setColumns, setForeignKey, setIndex, setJoinDirection, setStrategy, setUnique, syncColumn, syncColumns, syncForeignKey, syncIndex, syncUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockGroupVersionMappingInfo

    public LockGroupVersionMappingInfo()

Method Detail

### getColumnLockGroupNames

    public List getColumnLockGroupNames()

  List of lock group names matching the column list.

### setColumnLockGroupNames

    public void setColumnLockGroupNames(List lgs)

  List of lock group names matching the column list.

### getColumns

    public Column[] getColumns(Version version,
                               Column[] tmplates,
                               boolean adapt)

  Return the columns set for this version, based on the given templates. The columns will be ordered by corresponding lock group name.

  Overrides:
    `getColumns` in class `VersionMappingInfo`

### syncWith

    public void syncWith(Version version)

  Synchronize internal information with the mapping data for the given version.

  Overrides:
    `syncWith` in class `VersionMappingInfo`

### clear

    protected void clear(boolean canFlags)

  Overrides:
    `clear` in class `MappingInfo`

### copy

    public void copy(MappingInfo info)

  Overrides:
    `copy` in class `MappingInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.